@echo off
rem Usage: r file_to_compile_and_link_to_RAW32 [-c] [-u]
rem   -c  Compile RAW32.ASM also
rem   -u  Unload CWSDPMI

rem If %1 contains filename.asm TLINK destroys the .asm file
if exist %1.asm goto fileok
echo Wrong filename: %1.asm
goto exit

:fileok
rem Check if CWSDPMI should be unloaded (may be 2nd or 3rd argument)
if -u==%3 call d -u
if -u==%2 call d -u

rem Check if RAW32.ASM should be compiled
if not .-c==.%2 goto comp_file

rem Compile RAW32.ASM 
call maker32.bat

rem Compile the file and link it to RAW32.OBJ
:comp_file
nasm -f obj -w+orphan-labels -s %1.asm -o %1.obj
tlink /x /3 raw32 %1,%1
del %1.obj

:exit
